﻿<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <AspNetCoreHostingModel>InProcess</AspNetCoreHostingModel>
    <AssemblyName>Blazor.WebApp</AssemblyName>
  </PropertyGroup>
  <PropertyGroup>
    <!-- Makes the TypeScript compilation task a no-op -->
    <TypeScriptCompileBlocked>true</TypeScriptCompileBlocked>
    <UserSecretsId>c1eca120-0b55-46e0-9d87-ddae9457e11f</UserSecretsId>
  </PropertyGroup>
  <ItemGroup>
    <EmbeddedResource Include="Reportes\**\*.repx" />
  </ItemGroup>
  <ItemGroup>
    <Content Remove="wwwroot\lib\dwv\libs\i18next-xhr-backend\tsconfig.json" />
  </ItemGroup>
  <ItemGroup>
    <None Remove="Reportes\EntregaAdmisiones\Cartera.vsrepx" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Views\**\*.cshtml" />
    <None Include="Views\_ViewImports.cshtml" />
    <None Include="Views\_ViewStart.cshtml" />
  </ItemGroup>
	<ItemGroup>
		<Content Update="appsettings.json">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="Utils\resourcesESP.json">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="Utils\infoApp.json">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="Utils\menu.json">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="Views\**\*.cshtml">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
	</ItemGroup>
  <ItemGroup>
    <PackageReference Include="DevExpress.AspNetCore.Common" Version="21.2.6" />
    <PackageReference Include="DevExpress.AspNetCore.Reporting" Version="21.2.6" />
    <PackageReference Include="DevExpress.CrossPlatform.Printing.DrawingEngine" Version="1.0.12" />
    <PackageReference Include="jQuery.Ajax.Unobtrusive" Version="2.0.20710" />
    <PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="5.2.7" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Formatters.Json" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="6.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="6.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="6.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="6.0.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="NAudio.Lame" Version="2.0.0" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="6.0.0" />
    <PackageReference Include="Oracle.ManagedDataAccess.Core" Version="3.21.4" />
    <PackageReference Include="MySql.Data.EntityFrameworkCore" Version="8.0.22" />
    <PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="6.0.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="Microsoft.jQuery.Unobtrusive.Ajax" Version="3.2.6" />
    <PackageReference Include="Microsoft.Extensions.Logging" Version="6.0.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.0" />
    <PackageReference Include="Polly" Version="7.2.2" />
    <PackageReference Include="Serilog" Version="2.10.0" />
    <PackageReference Include="Serilog.AspNetCore" Version="5.0.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="4.0.1" />
    <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
    <PackageReference Include="System.IO.FileSystem" Version="4.3.0" />
    <PackageReference Include="System.IO.FileSystem.Primitives" Version="4.3.0" />
    <PackageReference Include="System.Net.NameResolution" Version="4.3.0" />
    <PackageReference Include="System.Threading.ThreadPool" Version="4.3.0" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Blazor.BusinessLogic\Blazor.BusinessLogic.csproj" />
    <ProjectReference Include="..\Blazor.Infrastructure.Entities\Blazor.Infrastructure.Entities.csproj" />
    <ProjectReference Include="..\Blazor.Infrastructure\Blazor.Infrastructure.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="DevExtreme.AspNet.Core">
      <HintPath>..\Libs\DevExtreme.AspNet.Core.dll</HintPath>
    </Reference>
    <Reference Include="DevExtreme.AspNet.Data">
      <HintPath>..\Libs\DevExtreme.AspNet.Data.dll</HintPath>
    </Reference>
    <Reference Include="Dominus">
      <HintPath>..\Libs\Dominus.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <TypeScriptCompile Include="wwwroot\lib\ace-builds\ace-modules.d.ts" />
    <TypeScriptCompile Include="wwwroot\lib\ace-builds\ace.d.ts" />
    <TypeScriptCompile Include="wwwroot\lib\devexpress\analytics-core\dx-analytics-core.d.ts" />
    <TypeScriptCompile Include="wwwroot\lib\devexpress\analytics-core\dx-querybuilder.d.ts" />
    <TypeScriptCompile Include="wwwroot\lib\devexpress\devexpress-reporting\dx-reportdesigner.d.ts" />
    <TypeScriptCompile Include="wwwroot\lib\devexpress\devexpress-reporting\dx-webdocumentviewer.d.ts" />
    <TypeScriptCompile Include="wwwroot\lib\knockout\build\types\knockout.d.ts" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Reportes\" />
    <Folder Include="wwwroot\Files\Log\" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Update="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>
</Project>